%global module_name ip

Name:           nodejs-%{module_name}
Version:        0.3.2
Release:        2%{?dist}
Summary:        IP address utilities for node.js

License:        MIT
URL:            https://github.com/indutny/node-%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(mocha)

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
mocha --reporter spec test/*-test.js

%files
%doc README.md
%{nodejs_sitelib}/%{module_name}


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 24 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.2-1
- Initial packaging

